Skip to main content
GET
Export transactions, a statement, a confirmation or a receipt

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Hevn-Account
string | null

The client account to act for, as a cl_… id. Omit it to act as yourself.

Example:

"cl_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41"

Query Parameters

format
enum<string>
default:csv
Available options:
csv,
xlsx,
pdf
kind
enum<string> | null
Available options:
statement,
confirmation,
receipt
bankId
string | null
transactionId
string | null
type
string | null

Comma-separated transaction types

status
string | null

Comma-separated statuses

tag
string | null

Comma-separated tags

contactId
string | null
incomeOnly
boolean | null
q
string | null
Minimum string length: 2
from
string<date-time> | null
to
string<date-time> | null

Response

The rendered file, with a Content-Disposition naming it.

The response is of type file.